package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNBirthPlaces {
    PRAHA("Praha"), 
    PLZEN("Plzeň"), 
    LONDON("Londýn"), 
    NEW_YORK("New York"),
    MOSCOW("Moskva");
    
    private final String value;
    private static final Random random = new Random();
    
    KSNBirthPlaces(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static KSNBirthPlaces getRandomBirthPlace() {
        int i = random.nextInt(KSNBirthPlaces.values().length);
        return KSNBirthPlaces.values()[i];
    }

    public static String getRandomBirthPlaceValue() {
        int i = random.nextInt(KSNBirthPlaces.values().length);
        return KSNBirthPlaces.values()[i].getValue();
    }

}
